2019-01-16 17:19 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002084NetSurfRISC OS-specificpublic2015-03-10 11:00
ReporterHarriet Bazley 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformARMOSRISC OSOS Version5.19
Product Version3.1 
Target VersionFixed in Version3.1 
Summary0002084: Segfault on dragging file to file upload box
DescriptionRepeated segmentation fault on attempting to upload DocX file to file converter. Netsurf crashes when file is dropped on 'Click to select file' icon. (N.B. Didn't older versions of Netsurf have more RISC OS-appropriate text here? clicking has no effect.)
Steps To ReproduceLoad page http://document.online-convert.com/convert-to-txt and drop attached file onto upload icon.

Log reports error in
  ( 61cbac) pc: 89d14 lr: 89fc0 sp: 61cbb0 ^html__set_file_gadget_filename()
  ( 61cbf4) pc: 89e84 lr: 314a8 sp: 61cbf8 ^html_drop_file_at_point()
  ( 61cc10) pc: 31460 lr: 53544 sp: 61cc14 content_drop_file_at_point()
  ( 61cc30) pc: 53484 lr: e9300 sp: 61cc34 browser_window_drop_file_at_point()
Additional InformationInitially observed in build 1727 - still present in 1741.

This doesn't seem to be a general error - files can successfully be uploaded into the Mantis bug reporter using the same build of Netsurf.
TagsNo tags attached.
Fixed in CI build #1751
Reported in CI build #1741
URL of problem pagehttp://document.online-convert.com/convert-to-txt
Attached Files
  • zip file icon obit.zip (4,653 bytes) 2014-02-27 18:47
  • zip file icon Log.zip (6,086 bytes) 2014-02-27 18:48

-Relationships
+Relationships

-Notes
Harriet Bazley

~0000256

Harriet Bazley (reporter)

Log attached of crash run.
Vincent Sanders

~0000689

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-02-27 18:47 Harriet Bazley New Issue
2014-02-27 18:47 Harriet Bazley File Added: obit.zip
2014-02-27 18:48 Harriet Bazley Note Added: 0000256
2014-02-27 18:48 Harriet Bazley File Added: Log.zip
2014-02-28 20:59 Vincent Sanders Assigned To => Steve Fryatt
2014-02-28 20:59 Vincent Sanders Status new => acknowledged
2014-02-28 20:59 Vincent Sanders Product Version 3.0 => 3.1
2014-02-28 20:59 Vincent Sanders Steps to Reproduce Updated View Revisions
2014-02-28 20:59 Vincent Sanders Additional Information Updated View Revisions
2014-03-10 22:35 Michael Drake Fixed in CI build # => 1751
2014-03-10 22:35 Michael Drake Status acknowledged => resolved
2014-03-10 22:35 Michael Drake Resolution open => fixed
2014-03-10 22:35 Michael Drake Fixed in Version => 3.1
2014-03-18 23:47 Vincent Sanders Assigned To Steve Fryatt => Michael Drake
2015-03-10 11:00 Vincent Sanders Note Added: 0000689
2015-03-10 11:00 Vincent Sanders Status resolved => closed
+Issue History